net.corda.core.messaging

## Class StateMachineUpdate

- net.corda.core.messaging.StateMachineUpdate

- Direct Known Subclasses:
    StateMachineUpdate.Added, StateMachineUpdate.Removed

      public class StateMachineUpdate

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StateMachineUpdate.Added`
    `static class` | `StateMachineUpdate.Removed`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StateMachineRunId` | `getId()`

- - ### Method Detail

    - #### getId

          public StateMachineRunId getId()